package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysRoleDeptEntity;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 部门与角色映射表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
public interface SysRoleDeptService extends IService<SysRoleDeptEntity> {

    PageUtils queryPage(Map<String, Object> params);

    /**
     * 根据角色ID，获取部门ID列表
     */
    List<Long> queryDeptId(Long roleIds) ;

    void saveOrUpdate(Long roleId, List<Long> deptIdList);

    int deleteBatch(Long[] roleIds);
}

